Loading...
Searching...
No Matches
field_expr_v2_nonlinear_node_unary< UnaryFunction, Expr >::const_iterator

## Detailed Description

template<class UnaryFunction, class Expr>
struct rheolef::details::field_expr_v2_nonlinear_node_unary< UnaryFunction, Expr >::const_iterator

Definition at line 102 of file field_expr_recursive.h.

## Public Types

using | iterator_category = std::forward_iterator_tag
using | value_type = typename Expr::scalar_type
using | reference = value_type&
using | pointer = value_type*
using | difference_type = std::ptrdiff_t

## Public Member Functions

| const_iterator (UnaryFunction f, typename Expr::const_iterator expr_iter)
const_iterator & | operator++ ()
value_type | operator* () const

## Protected Attributes

const UnaryFunction | _f
Expr::const_iterator | _expr_iter

## Member Typedef Documentation

## iterator_category

template<class UnaryFunction, class Expr>

using iterator_category = std::forward_iterator_tag

Definition at line 103 of file field_expr_recursive.h.

## value_type

template<class UnaryFunction, class Expr>

using value_type = typename Expr::scalar_type

Definition at line 104 of file field_expr_recursive.h.

## reference

template<class UnaryFunction, class Expr>

using reference = value_type&

Definition at line 105 of file field_expr_recursive.h.

## pointer

template<class UnaryFunction, class Expr>

using pointer = value_type*

Definition at line 106 of file field_expr_recursive.h.

## difference_type

template<class UnaryFunction, class Expr>

using difference_type = std::ptrdiff_t

Definition at line 107 of file field_expr_recursive.h.

## Constructor & Destructor Documentation

## const_iterator()

template<class UnaryFunction, class Expr>

const_iterator | ( | UnaryFunction | f,
|  | typename Expr::const_iterator | expr_iter )

Definition at line 108 of file field_expr_recursive.h.

## Member Function Documentation

## operator++()

template<class UnaryFunction, class Expr>

const_iterator & operator++ | ( |  | ) |

Definition at line 110 of file field_expr_recursive.h.

## operator*()

template<class UnaryFunction, class Expr>

value_type operator* | ( |  | ) | const

Definition at line 111 of file field_expr_recursive.h.

## Member Data Documentation

## _f

template<class UnaryFunction, class Expr>

const UnaryFunction _f

protected

Definition at line 113 of file field_expr_recursive.h.

## _expr_iter

template<class UnaryFunction, class Expr>

Expr::const_iterator _expr_iter

protected

Definition at line 114 of file field_expr_recursive.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/main/lib/field_expr_recursive.h